﻿© 2002 Fluke Corporation, All rights reserved               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Wait
INSTRUMENT:            Sub Wait Long
DATE:                  2002-12-06
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       87
=============================================================================
#
#  Procedure Author:  DAC, DFM
# 
#  Model(s) Covered:  Not Applicable
# 
#  Compatibility:     MET/CAL or 5500/CAL 6.11A or later
# 
#  Required Files:    None
# 
#  Additional Equipment Required:  None
# 
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
# M[254] = Number of minutes to wait before returning.
# M[255] = Number of seconds to wait before returning.
# S[29]  = 'Dots' (".") displayed in HEAD message.
# S[30]  = Formatted seconds value to display.
# S[31]  = Formatted minutes value to display.
# S[32]  = HEAD Message to display along with remaining time.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON
  1.001  JMPT         1.014          Sub Wait Long

  1.002  LABEL        WAIT
  1.003  JMPL         PROCEED                      ZCMP(S[29], ".")
  1.004  JMPL         PROCEED                      ZCMP(S[29], "..")
  1.005  MATH         S[29] = ""

  1.006  LABEL        PROCEED
  1.007  MATH         S[29] = S[29] & "."
  1.008  MATH         S[30] = FMT(M[255], "%02.0f")
  1.009  HEAD         [S32]: 00:[S30] remaining[S29]
  1.010  PORT         [D1000]
  1.011  MATH         M[255] = M[255] - 1
  1.012  JMPL         END                          M[255] <= 0
  1.013  JMPL         WAIT

# ======================= Start Sub Long Wait section =======================

  1.014  LABEL        WAIT_MIN
  1.015  JMPL         CONTINUE                     ZCMP(S[29], ".")
  1.016  JMPL         CONTINUE                     ZCMP(S[29], "..")
  1.017  MATH         S[29] = ""

  1.018  LABEL        CONTINUE
  1.019  MATH         S[29] = S[29] & "."
  1.020  MATH         S[31] = FMT(M[254], "%02.0f")
  1.021  MATH         S[30] = FMT(M[255], "%02.0f")
  1.022  HEAD         [S32]: [S31]:[S30] remaining[S29]
  1.023  PORT         [D1000]
  1.024  JMPL         DECREMENT_MINUTES            M[255] <= 0
  1.025  MATH         M[255] = M[255] - 1
  1.026  JMPL         WAIT_MIN

  1.027  LABEL        DECREMENT_MINUTES
  1.028  JMPL         END                          M[254] == 0
  1.029  MATH         M[254] = M[254] - 1 ; M[255] = 59
  1.030  JMPL         WAIT_MIN

  1.031  LABEL        END
  1.032  END
